ru.bitel.common.model

## Class Tied.Utils<T,TT extends Tied>

- java.lang.Object
- - ru.bitel.common.model.Tied.Utils<T,TT>

- Enclosing interface:
    Tied

      public static class Tied.Utils<T,TT extends Tied>
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Utils(Tied.TieResolver<T,TT> resolver, ru.bitel.common.util.Ranger<T,java.util.Date> ranger)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `checkAdd(java.util.List<T> currentList, java.lang.Iterable<T> add, int field)`
    `void` | `checkAdd(java.util.List<T> currentList, T add, int field)`
    `void` | `checkClose(java.util.List<T> currentList, java.lang.Iterable<T> close, java.util.Date date, int field)`
    `void` | `checkClose(java.util.List<T> currentList, T close, java.util.Date date, int field)`
    `void` | `checkRemove(java.util.List<T> currentList, java.lang.Iterable<T> remove, int field)`
    `void` | `checkRemove(java.util.List<T> currentList, T remove, int field)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Utils

          public Utils(Tied.TieResolver<T,TT> resolver,
                       ru.bitel.common.util.Ranger<T,java.util.Date> ranger)

  - ### Method Detail

    - #### checkAdd

          public void checkAdd(java.util.List<T> currentList,
                               T add,
                               int field)
                        throws Tied.TieUnresolvedException

      Throws:
        `Tied.TieUnresolvedException`

    - #### checkAdd

          public void checkAdd(java.util.List<T> currentList,
                               java.lang.Iterable<T> add,
                               int field)
                        throws Tied.TieUnresolvedException

      Throws:
        `Tied.TieUnresolvedException`

    - #### checkRemove

          public void checkRemove(java.util.List<T> currentList,
                                  T remove,
                                  int field)
                           throws Tied.TieUnresolvedException

      Throws:
        `Tied.TieUnresolvedException`

    - #### checkRemove

          public void checkRemove(java.util.List<T> currentList,
                                  java.lang.Iterable<T> remove,
                                  int field)
                           throws Tied.TieUnresolvedException

      Throws:
        `Tied.TieUnresolvedException`

    - #### checkClose

          public void checkClose(java.util.List<T> currentList,
                                 T close,
                                 java.util.Date date,
                                 int field)
                          throws Tied.TieUnresolvedException

      Throws:
        `Tied.TieUnresolvedException`

    - #### checkClose

          public void checkClose(java.util.List<T> currentList,
                                 java.lang.Iterable<T> close,
                                 java.util.Date date,
                                 int field)
                          throws Tied.TieUnresolvedException

      Throws:
        `Tied.TieUnresolvedException`